Author Topic: Chat support...isn't  (Read 316 times)

Offline talonts

  • Newbie
  • *
  • Posts: 4
Chat support...isn't
« on: April 25, 2017, 02:36:07 PM »
I've been having an issue with Dragon version 55.0.2883.59, wanted to install a previous version to see if the issue was only in .59, and saw that there is no Archive of versions on the Comodo site.

Hit the Chat, told them I needed the previous version for testing an issue, they sent me a link, then cut me off.  Installed it, finding out it was GeekBuddy and CIS.  NOT what I asked for, NOT what I wanted.

Hit chat again, told them I wanted the previous version, they asked me to fire up Geekbuddy.  I told them I uninstalled it, I didn't want it, I JUST WANTED THE PREVIOUS VERSION OF DRAGON.  They give me a link...to the CURRENT version.  I noted that is the current version, not the previous, and they finally note they don't have the previous versions.

Your chat support have severe reading comprehension issues and are little help at all.

Mozilla has archives going back YEARS so you can test with any version ever released (and most betas).  I'm not sure why you couldn't at least make the last few versions available, ESPECIALLY since if you release a new version with a major regression, people are screwed until you release a fixed version, and since the version isn't mentioned within the download link, people won't know if a new fixed version is released without downloading it and checking the file properties.

 

Free Endpoint Protection
Seo4Smf 2.0 © SmfMod.Com Smf Destek